petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESKSPGetParametersEW

Gets parameters for Eisenstat-Walker convergence criteria for the linear solvers within an inexact Newton method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESKSPGetParametersEW(SNES snes,PetscInt *version,PetscReal *rtol_0,PetscReal *rtol_max,PetscReal *gamma,PetscReal *alpha,PetscReal *alpha2,PetscReal *threshold)

Not Collective

### Input Parameters

snes - SNES context

### Output Parameters

| version | - version 1, 2 (default is 2) or 3
| rtol_0 | - initial relative tolerance (0 <= rtol_0 < 1)
| rtol_max | - maximum relative tolerance (0 <= rtol_max < 1)
| gamma | - multiplicative factor for version 2 rtol computation (0 <= gamma2 <= 1)
| alpha | - power for version 2 rtol computation (1 < alpha <= 2)
| alpha2 | - power for safeguard
| threshold | - threshold for imposing safeguard (0 < threshold < 1)

### Keywords

SNES, KSP, Eisenstat, Walker, get, parameters

### See Also

SNESKSPSetUseEW(), SNESKSPGetUseEW(), SNESKSPSetParametersEW()

### Level

advanced

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages